From 041b014362c7fdcf82972b738708f3d2c1aef23e Mon Sep 17 00:00:00 2001
From: Maxime Ripard <maxime@cerno.tech>
Date: Fri, 15 Apr 2022 15:26:07 +0200
Subject: [PATCH] rpivid: Use clk_get_max_rate()

The driver was using clk_round_rate() to figure out the maximum clock
rate that was allowed for the HEVC clock.

Since we have a function to return it directly now, let's use it.

Signed-off-by: Maxime Ripard <maxime@cerno.tech>
---
 drivers/staging/media/rpivid/rpivid_video.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- a/drivers/staging/media/rpivid/rpivid_video.c
+++ b/drivers/staging/media/rpivid/rpivid_video.c
@@ -558,7 +558,7 @@ static int start_clock(struct rpivid_dev
 	long max_hevc_clock;
 	int rv;
 
-	max_hevc_clock = clk_round_rate(dev->clock, ULONG_MAX);
+	max_hevc_clock = clk_get_max_rate(dev->clock);
 
 	rv = clk_set_min_rate(dev->clock, max_hevc_clock);
 	if (rv) {
